package com.hai.order.topic;

/**
 * rocket订单主题
 * @className: Order
 * @author: HuRui
 * @date: 2022/8/24
 **/
public enum OrderTopic {
    ORDER_TOPIC("order-topic", "订单主题"),
    ORDER_TOPIC_CREATE(ORDER_TOPIC.getTopic() + ":create", "订单创建"),
    ORDER_TOPIC_CANCEL(ORDER_TOPIC.getTopic() + ":cancel", "订单取消"),
    ORDER_TOPIC_BUSINESS(ORDER_TOPIC.getTopic() + ":business", "订单业务处理"),
    ;

    private String topic;
    private String name;

    OrderTopic(String topic,String name) {
        this.topic = topic;
        this.name = name;
    }

    public String getTopic() {
        return topic;
    }

    public void setTopic(String topic) {
        this.topic = topic;
    }
}
